import React,{useState} from "react";
import styled from "styled-components";
const PeriodDivStyle = styled.div`
    width: 1062px;
    height: 24px;
    position: relative;
    margin: 17px 34px 0 28px;
`;
const PeriodSpanStyle = styled.span`
    width: 276px;
    height: 24px;
    font-family: PingFangSC-Medium;
    font-size: 17px;
    color: #33383D;
    position: absolute;
    left: 0;
    top: 0;
`;
const PeriodLevelStyle = styled.span`
    width: 118px;
    height: 22px;
    position: absolute;
    top: 1px;
    right: 0;
`;
const PeriodLevelSpanStyle = styled.span`
    width: 96px;
    height: 22px;
    font-family: PingFangSC-Regular;
    font-size: 16px;
    color: #FF3B4E;
`;
const PeriodLevelIconStyle = styled.span`
    width: 15px;
    height: 15px;
    margin-right: 7px;
`;
interface PeriodDivProps {
    periodStart: string,
    periodEnd: string,
    level: number,
}
function PeriodDiv({periodEnd, periodStart, level}: PeriodDivProps){
    return <PeriodDivStyle>
        <PeriodSpanStyle>周期:&emsp;({periodStart}-{periodEnd})</PeriodSpanStyle>
        <PeriodLevelStyle>
            <PeriodLevelIconStyle className={level === 0 ? '' : ''}/>
            <PeriodLevelSpanStyle>
                {level === 0 ? '目标没有风险' : '目标已有风险'}
            </PeriodLevelSpanStyle>
        </PeriodLevelStyle>
    </PeriodDivStyle>
}

export default PeriodDiv;