import React from "react";
import styled from "styled-components";
const PercentageSpanStyle = styled.span`
    font-family: PingFangSC-Regular;
    font-size: 15px;
    color: #FFFFFF;
    border-radius: 1px;
`;
interface PercentageSpanProps {
    color: string,
    value: string,
    padding: number[],
    style?: object
}
function PercentageSpan({color, value, padding, style = {}}: PercentageSpanProps){
    return <PercentageSpanStyle style={{ ...style, background: color,
        padding: `${padding[0]}px ${padding[1]}px 
                    ${padding[2]}px ${padding[3]}px`}}>
        {value}
    </PercentageSpanStyle>
}

export default PercentageSpan;