const React = require('react');
import styled from "styled-components";
import Span from "./span";
import PercentageSpan from "./percentage";
const ProjectProgressDivStyle = styled.span`
    width: 555px;
    margin: 0 516px 0 41px;
    position: relative;
    top: 17px;
`;
interface ProjectProgressProps {
    hasTask: boolean,
    projectProgressNow: string,
    projectIncreaseCircle: string,
    projectDecrease: string
}
function ProjectProgress({hasTask,
                             projectDecrease,
                             projectIncreaseCircle,
                             projectProgressNow}: ProjectProgressProps){
    return <ProjectProgressDivStyle>
        <Span value={'当前目标进度'}/>
        <PercentageSpan color={'#2E9CFF'} value={projectProgressNow} padding={[0, 4, 0, 4]} style={{marginLeft: '4px'}}/>
        <Span value={', '} style={{width: '15px', marginLeft: '1px'}}/>
        <Span value={'环比增长'} style={{marginLeft: '4px'}}/>
        <PercentageSpan color={'#0CC991'} value={projectIncreaseCircle} padding={[0, 4, 0, 4]} style={{marginLeft: '4px'}}/>
        <Span value={', '} style={{width: '15px', marginLeft: '1px'}}/>
        <Span value={'增长率下降'} style={{marginLeft: '1px'}}/>
        <PercentageSpan color={'#FF6952'} value={projectDecrease} padding={[0, 4, 0, 4]} style={{marginLeft: '4px'}}/>
        {hasTask ? <Span value={', '} style={{width: '15px', marginLeft: '1px'}}/> : null}
        {hasTask ? <Span value={'具体任务执行情况如下: '} style={{marginLeft: '1px', width: '165px'}}/> : null}
    </ProjectProgressDivStyle>
}

export default ProjectProgress;