import * as React from "react";
import styled from "styled-components";

interface TaskBackgroundProps {
    color: string,
    style?: object,
    value?: string
}

function TaskBackground({color, style = {}, value = ''}: TaskBackgroundProps){
    const TaskBackgroundStyle = styled.span`
        width: 7px;
        height: 7px;
        position: relative;
        background: ${color};
        display: inline-block;
        border-radius: 50%;
    `;

    return <TaskBackgroundStyle style={style}>{value}</TaskBackgroundStyle>
}

export default TaskBackground;