import * as React from "react";
import styled from "styled-components";
import TaskBackground from "./task-background";
import {SpanAndCountDivOnTheBottom, SpanAndCountDivOnTheTop} from "./task-spanAndCount";

const TaskOverviewDiv = styled.div`
    width: 504px;
    height: 28px;
    position: relative;
    top: 36px;
    left: 28px;
`;
interface TaskOverviewOnTheTopProps{
    taskShouldFinishCount: number,
    taskRealFinishCount: number,
    taskOutDateCount: number,
    taskNotInProgress: number
}
interface TaskOverviewOnTheBottomProps{
    taskOutDateForHumanCount: number,
    taskNotUpdateForHumanCount: number
}
interface TaskOverviewProps {
    hasTask: boolean,
    taskShouldFinishCount: number,
    taskRealFinishCount: number,
    taskOutDateCount: number,
    taskNotInProgress: number,
    taskOutDateForHumanCount: number,
    taskNotUpdateForHumanCount: number
}

function TaskOverviewOnTheTop({taskNotInProgress,
                              taskOutDateCount,
                              taskRealFinishCount,
                              taskShouldFinishCount}: TaskOverviewOnTheTopProps) {
    const backgroundStyle = {left: '0', bottom: '2px'};
    return <TaskOverviewDiv>
        <TaskBackground color={'#E6E8EB'} style={backgroundStyle}/>
        <SpanAndCountDivOnTheTop taskShouldFinishCount={taskShouldFinishCount}
        taskRealFinishCount={taskRealFinishCount}
        taskOutDateCount={taskOutDateCount}
        taskNotInProgress={taskNotInProgress}/>
    </TaskOverviewDiv>
}

function TaskOverviewOnTheBottom({taskNotUpdateForHumanCount,
                                 taskOutDateForHumanCount}: TaskOverviewOnTheBottomProps) {
    const backgroundStyle = {left: '0', bottom: '2px'};
    return <TaskOverviewDiv style={{top: '45px'}}>
        <TaskBackground color={'#E6E8EB'} style={backgroundStyle}/>
        <SpanAndCountDivOnTheBottom taskOutDateForHumanCount={taskOutDateForHumanCount}
        taskNotUpdateForHumanCount={taskNotUpdateForHumanCount}/>
    </TaskOverviewDiv>
}

function TaskOverview({hasTask,
                          taskNotInProgress,
                          taskNotUpdateForHumanCount,
                          taskOutDateCount,
                          taskOutDateForHumanCount,
                          taskRealFinishCount,
                          taskShouldFinishCount
                      }: TaskOverviewProps) {
    return hasTask ? <div>
        <TaskOverviewOnTheTop taskNotInProgress={taskNotInProgress}
        taskOutDateCount={taskOutDateCount}
        taskRealFinishCount={taskRealFinishCount}
        taskShouldFinishCount={taskShouldFinishCount}/>
        <TaskOverviewOnTheBottom taskNotUpdateForHumanCount={taskNotUpdateForHumanCount}
        taskOutDateForHumanCount={taskOutDateForHumanCount}/>
    </div> : null;
}

export default TaskOverview;