import React from "react";
import Span from "../project/span";
import Count from "./count";
import styled from "styled-components";

const SpanAndCountDivStyle = styled.span`
    width: 491px;
    height: 28px;
    position: relative;
    top: 0;
    left: 6px;
`;
interface TopProps {
    taskShouldFinishCount: number,
    taskRealFinishCount: number,
    taskOutDateCount: number,
    taskNotInProgress: number
}
interface BottomProps {
    taskOutDateForHumanCount: number,
    taskNotUpdateForHumanCount: number
}
function SpanAndCountDivOnTheTop({taskNotInProgress,
                                 taskOutDateCount,
                                 taskRealFinishCount,
                                 taskShouldFinishCount}: TopProps) {
    return <SpanAndCountDivStyle>
        <Span value={'本周应执行任务量'}/>
        <Count value={taskShouldFinishCount} color={'#2E9CFF'}/>
        <Span value={', '}/>
        <Span value={'实际完成量'}/>
        <Count value={taskRealFinishCount} color={'#0CC991'}/>
        <Span value={', '}/>
        <Span value={'过期未完成量'}/>
        <Count value={taskOutDateCount} color={'#FF6952'}/>
        <Span value={', '}/>
        <Span value={'本周无进展量'}/>
        <Count color={'#8475FF'} value={taskNotInProgress}/>
    </SpanAndCountDivStyle>
}
function SpanAndCountDivOnTheBottom({taskNotUpdateForHumanCount,
                                    taskOutDateForHumanCount}: BottomProps){
    return <SpanAndCountDivStyle>
        <Span value={'有'}/>
        <Count value={taskOutDateForHumanCount} color={'#0CC0C9'}/>
        <Span value={'人存在过期未完成任务'}/>
        <Span value={', '}/>
        <Count value={taskNotUpdateForHumanCount} color={'#FFAB24'}/>
        <Span value={'人未更新任务进展'}/>
    </SpanAndCountDivStyle>
}
export  {SpanAndCountDivOnTheTop, SpanAndCountDivOnTheBottom};