const path = require('path');

module.exports = {
    mode: "development",
    devServer: {
        contentBase: __dirname,
        hot: true,
        open: true,
        port: 3000
    },
    entry: {
        bundle1: path.join(__dirname, './src/ereport/index.tsx')
    },
    output: {
        path: __dirname,
        filename: "[name].js"
    },
    resolve: {
        // Add '.ts' and '.tsx' as resolvable extensions.
        extensions: [".ts", ".tsx", ".js", ".json"]
    },
    module: {
        rules: [{
            test: /\.ts(x?)$/,
            exclude: /node_modules/,
            loaders: ['ts-loader']
        }]
    }
};